aboutsummaryrefslogtreecommitdiffstats
path: root/pony/watch
diff options
context:
space:
mode:
Diffstat (limited to 'pony/watch')
-rwxr-xr-xpony/watch16
1 files changed, 16 insertions, 0 deletions
diff --git a/pony/watch b/pony/watch
new file mode 100755
index 0000000..c8a8af5
--- /dev/null
+++ b/pony/watch
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+wget http://hackage.haskell.org/package/pony >/dev/null 2>/dev/null
+if [ $? = 0 ]; then
+ md5sum < pony > new-sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'pony'
+ fi
+ rm pony
+else
+ echo 'pony (unfetchable)'
+fi
+